<?php
if ( ! current_user_can( 'edit_theme_options' ) )
	wp_die( __( 'Cheatin&#8217; uh?' ) );

global $wp_scripts, $woocommerce, $new_mail;
global $woocommerce, $wpdb, $current_user, $order;

$presentation_state = ( isset($_REQUEST["ec_in_popup"]) ) ? "pe-in-popup" : "pe-in-admin-page" ;
?>
<?php if(true): ?>
<html>
<head>
	<meta http-equiv="Content-Type" content="<?php echo 'Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'); ?>" />
	<title>
		Prevew Email Template
	</title>

	<?php
	do_action( 'ec_render_template_head_scripts' );
	
	print_head_scripts(); //This is the main one
	print_admin_styles();
	?>
</head>
<body id="ec-template" class="ec-template" >
	
	<?php
	if( class_exists('WC') ) {
		$mailer = WC()->mailer();
		$mails = $mailer->get_emails();
		
		// Ensure gateways are loaded in case they need to insert data into the emails
		WC()->payment_gateways();
		WC()->shipping();
		
	}
	else{
		$mailer = $woocommerce->mailer();
		$mails = $mailer->get_emails();
		
		// Ensure gateways are loaded in case they need to insert data into the emails
		$woocommerce->payment_gateways();
		$woocommerce->shipping();
	}
	
	
	/* Get Email to Show */
	if( isset($_REQUEST['ec_email_type']) )
		$email_type = $_REQUEST['ec_email_type'];
	else
		$email_type = current($mails)->ID;
	
	
	
	/* Get Email Template to Show */
	if( isset($_REQUEST['ec_email_template']) )
		$email_template = $_REQUEST['ec_email_template'];
	else
		$email_template = false;
	
	

	/* Get Order to Show */
	if( isset($_REQUEST['ec_email_order']) ){
		$order_to_show = $_REQUEST['ec_email_order'];
	}
	else{
		//Get the most recent order.
		$order_collection = new WP_Query(array(
			'post_type'			=> 'shop_order',
			'post_status'		=> array_keys( wc_get_order_statuses() ),
			'posts_per_page'	=> 1,
		));
		$order_collection = $order_collection->posts;
		$latest_order = current($order_collection)->ID;
		$order_to_show = $latest_order;
	}
	
	//Customer_Invoice
	if ( !empty( $mails ) ) {
		foreach ( $mails as $mail ) {
			if ( $mail->id == $email_type ) {
				
				$order = new WC_Order( $order_to_show );
				
				$new_mail = new $mail();
				$new_mail->object = $order;
				
				$new_mail_url_id = 'wc_email_'.$new_mail->id;
				
				// Info Meta Swicth on /off
				$field_default = "off";
				$field_value = get_user_meta( $current_user->ID, "header_info_userspecifc", true);
				$field_value = ($field_value)? $field_value : $field_default;
				
				if( $field_value == "on" ) $header = true;
				else $header = false;
				?>
				
				
				<div class="email-template-preview <?php echo $presentation_state ?> ">
					<div class="main-content">
						
						<?php if(true): ?>
						<!-- ---------- Header Info ---------- -->
						<div class="header-info" <?php if( $header ){ ?> style="display:block" <?php } ?> >
							
							<div class="header-info-label-block">
								<div class="header-info-meta-heading">
									<?php _e("Header Info", "email-control") ; ?> <span class="help-icon help_tip_new" data-tip="<?php _e( 'The header infomration that will be sent with the current Template. This can be changed in WooCommerce Settings > Emails, or simply click Edit next to the relevant field to be taken there.', 'email-control' ); ?>" >&nbsp;&nbsp;&nbsp;&nbsp;</span>
								</div>
							</div>
							
							<div class="header-info-meta-blocks">
								
								<div class="header-info-meta-block header-info-meta-block-subject">
									<div class="header-info-meta-heading">
										<?php _e("Subject", "email-control") ; ?>
									</div>
									<div class="header-info-meta">
										<span class="meta-value"><?php echo $new_mail->get_subject() ?></span> 
										<span class="meta-divider">|</span> 
										<a class="edit-meta" target="wc-settings" href="<?php echo admin_url('admin.php?page=wc-settings&tab=email&section=' . $new_mail_url_id) ?>"><?php _e("Edit", "email-control") ; ?></a>
									</div>
								</div>
								
								<div class="header-info-meta-block header-info-meta-block-from-email">
									<div class="header-info-meta-heading">
										<?php _e("From Email", "email-control") ; ?>
									</div>
									<div class="header-info-meta">
										<span class="meta-value"><?php echo $new_mail->get_from_address() ?></span> 
										<span class="meta-divider">|</span> 
										<a class="edit-meta" target="wc-settings" href="<?php echo admin_url('admin.php?page=wc-settings&tab=email') ?>"><?php _e("Edit", "email-control") ; ?></a>
									</div>
								</div>
								
								<div class="header-info-meta-block header-info-meta-block-frome-name">
									<div class="header-info-meta-heading">
										<?php _e("From Name", "email-control") ; ?>
									</div>
									<div class="header-info-meta">
										<span class="meta-value"><?php echo $new_mail->get_from_name() ?></span> 
										<span class="meta-divider">|</span> 
										<a class="edit-meta" target="wc-settings" href="<?php echo admin_url('admin.php?page=wc-settings&tab=email') ?>"><?php _e("Edit", "email-control") ; ?></a>
									</div>
								</div>
								
								<div class="header-info-meta-block header-info-meta-block-to-email">
									<div class="header-info-meta-heading">
										<?php _e("To Email", "email-control") ; ?>
									</div>
									<div class="header-info-meta">
										<span class="meta-value"><?php echo $order->billing_email ?></span>
									</div>
								</div>
							
							</div>
							
							<a class="hide-icon hide-up" <?php if( $header ){ ?> style="display:block" <?php } ?> ></a>
									
						</div>
						
						
						<a class="hide-icon hide-down" <?php if( $header ){ ?> style="display:none" <?php } ?> ></a>
						<!-- ---------- Header Info ---------- -->
						<?php endif; ?>
						
						
						<!-- ----------  Email Template ---------- -->
						<?php
						echo do_shortcode( $new_mail->get_content() );
						?>
						<!-- ----------  /Email Template ---------- -->
						
						
					</div>
				</div>
				
				<?php
			}
		}
	}
	?>
	
	<?php
	//_wp_footer_scripts();
	?>

</body>
</html>
<?php endif; ?>

<?php exit(); ?>
